﻿using GalaSoft.MvvmLight;

namespace XamSliderBindingSample.ViewModel
{
    /// <summary>
    /// This class contains properties that a View can data bind to.
    /// <para>
    /// Use the <strong>mvvminpc</strong> snippet to add bindable properties to this ViewModel.
    /// </para>
    /// <para>
    /// You can also use Blend to data bind with the tool's support.
    /// </para>
    /// <para>
    /// See http://www.galasoft.ch/mvvm/getstarted
    /// </para>
    /// </summary>
    public class SliderSampleViewModel : ViewModelBase
    {
        /// <summary>
        /// Initializes a new instance of the SliderSampleViewModel class.
        /// </summary>
        public SliderSampleViewModel()
        {
            MinValue = -10;
            MaxValue = 10;
            Value1 = 0;
            Value2 = 2;
            Value3 = 6;
            Value4 = 8;
        }

        private double _value1;
        public double Value1
        {
            get { return _value1; }
            set { _value1 = value; RaisePropertyChanged("Value1"); }
        }

        private double _value2;
        public double Value2
        {
            get { return _value2; }
            set { _value2 = value; RaisePropertyChanged("Value2"); }
        }

        private double _value3;
        public double Value3
        {
            get { return _value3; }
            set { _value3 = value; RaisePropertyChanged("Value3"); }
        }

        private double _value4;
        public double Value4
        {
            get { return _value4; }
            set { _value4 = value; RaisePropertyChanged("Value4"); }
        }

        private double _minValue;
        public double MinValue
        {
            get { return _minValue; }
            set { _minValue = value; RaisePropertyChanged("MinValue"); }
        }

        private double _maxValue;
        public double MaxValue
        {
            get { return _maxValue; }
            set { _maxValue = value; RaisePropertyChanged("MaxValue"); }
        }

        
        
        ////public override void Cleanup()
        ////{
        ////    // Clean own resources if needed

        ////    base.Cleanup();
        ////}
    }
}